from django.db import models
from django.urls import reverse

class Author(models.Model):
	first_name = models.CharField(max_length=100)
	last_name = models.CharField(max_length=100)
	age = models.IntegerField()
	nationality = models.CharField(max_length=100)
	bio = models. TextField(max_length=700)

	def __str__(self):
		return '{} {}'.format(self.first_name, self.last_name)

	def get_absolute_url(self):
		return f"{self.pk}"


class Books(models.Model):
	title = models.CharField(max_length=100)
	author = models.ForeignKey(Author, on_delete=models.CASCADE, related_name = "books")
	publisher = models.CharField(max_length=100)
	year_published = models.IntegerField()
	ISBN = models.IntegerField()
	blurb = models.TextField(max_length=1200)

	def __str__(self):
		return '{} ({}) {}'.format(self.title, self.year_published, self.author)

	def get_absolute_url(self):
		return f"{self.pk}"

	
