from django.urls import path

from .views import home_view, BooksDetailView, BooksView, AuthorsView, AuthorDetailsView

urlpatterns = [
	path('home/', home_view, name='index'),
	path('books/', BooksView.as_view(), name='books'),
	path('books/<int:pk>/details/', BooksDetailView.as_view(), name='books-detail'),
      path('authors/', AuthorsView.as_view(), name='authors'),
      path('authors/<int:pk>/details/', AuthorDetailsView.as_view(), name='author-detail'),
]

app_name = 'bookshelf'