from django.shortcuts import render
from django.views import View
from django.views.generic.detail import DetailView
from django.views.generic.list import ListView
from .models import Books, Author

def home_view(request):
	return render(request, 'home.html')

class BooksDetailView(DetailView):
	model = Books
	template_name = "bookshelf/book_detais.html"

class BooksView(ListView):
	model = Books
	template_name = "bookshelf/books.html"

class AuthorsView(ListView):
	model = Author
	template_name = "bookshelf/authors.html"

class AuthorDetailsView(DetailView):
	model = Author
	template_name = "bookshelf/author_details.html"